import 'package:flyinsono/js_platform/methods.dart';
import 'package:flyinsono/managers/interfaces/live_consultation.dart';
import 'package:get/get.dart';

import 'base.dart';

class CloseLiveConsultationHandler extends MethodHandlerBase {
  CloseLiveConsultationHandler()
      : super(TargetMethodName.CloseLiveConsultation);

  @override
  void execute(List<String> args) {
    Get.find<ILiveConsultationManager>().onExitConsultation.emit(this, true);
  }
}
